QGIS Application - Bug report #12679

atlas generation : output filename textbox with default expression after warning message remains
empty

2015-04-30 06:20 AM - Harrissou Santanna

Status: Open

Priority: Low

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20786
Description

Enable atlas generation in a print composer

set any options you want and erase the output filename expression.

While launching atlas export to something else than pdf single file, you get the error warning message The filename pattern is empty. A
default one will be used.

If you click ok, the files are exported with the default expression but once all is finished, the filename text box remains empty. But it's not
really empty beacause if you launch again the export, it'll be proceeded without warning message.

It'd be nice to fill the filename textbox with the default expression used when user click OK in the message box.

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-02-27 08:02 PM - Harrissou Santanna

- Affected QGIS version changed from 2.8.1 to 3.0.0
- Description updated
